<%@language=vbscript codepage=936 %>
<%
option explicit
response.buffer=true	
%>
<!--#include file="../include/Conn.jsp"-->
<!--#include file="../Article/inc/function.jsp"-->
<!--#include file="admin_islogin.jsp"-->
<%
Dim SqlItem,RsItem,Action,FoundErr,ErrMsg
Dim ItemID,ItemName,ChannelID,ClassID,SpecialID
Dim  PaginationType,MaxCharPerPage,ReadLevel,Stars,ReadPoint,Hits,UpdateType,UpdateTime,IncludePicYn,DefaultPicYn
Dim  OnTop,Elite,Hot,SkinID,TemplateID
Dim  Script_Iframe,Script_Object,Script_Script,Script_Div,Script_Class,Script_Span,Script_Img,Script_Font,Script_A,Script_Html,Script_Table,Script_Tr,Script_Td
Dim  CollecListNum,CollecNewsNum,Passed,SaveFiles,CollecOrder,LinkUrlYn,InputerType,Inputer,EditorType,Editor,ShowCommentLink
FoundErr=False
ItemID=Trim(Request("ItemID"))
Action=Trim(Request("Action"))

If ItemID="" Then
   FoundErr=True
   ErrMsg=ErrMsg & "<br><li>参数错误，项目ID不能为空！</li>"
Else
   ItemID=Clng(ItemID)
End If

If  FoundErr<>True  Then
      Call  GetTest()
End  If
If FoundErr<>True Then
   Call Main()
End If

'关闭数据库链接
Call CloseDatabase()
Call CloseConnItem()
%>
<%Sub Main
%>
<html>
<head>
<title>采集系统</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link href="Images/Style.css" rel="stylesheet" type="text/css">
<%Call SetChannel()%>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="border">
  <tr> 
    <td height="22" colspan="2" align="center" class="topbg"><strong>采&nbsp;&nbsp;集&nbsp;&nbsp;系&nbsp;&nbsp;统&nbsp;&nbsp;模&nbsp;&nbsp;板&nbsp;&nbsp;管&nbsp;&nbsp;理</td>
  </tr>
  <tr class="tdbg"> 
    <td width="65" height="30"><strong>管理导航：</strong></td>
    <td height="30">项目编辑 >> <a href="Admin_ItemModify.jsp?ItemID=<%=ItemID%>">基本设置</a> >> <a href="Admin_ItemModify2.jsp?ItemID=<%=ItemID%>">列表设置</a> >> <a href="Admin_ItemModify3.jsp?ItemID=<%=ItemID%>">链接设置</a> >> <a href="Admin_ItemModify4.jsp?ItemID=<%=ItemID%>">正文设置</a> >>  
	<a href="Admin_ItemModify5.jsp?ItemID=<%=ItemID%>">采样测试</a> >> <a href="Admin_ItemAttribute.jsp?ItemID=<%=ItemID%>"><font color=red>属性设置</font></a> >> 完成</td>         
  </tr>         
</table>
<br>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="border">
    <tr> 
      <td height="22" colspan="2" class="title"> <div align="center"><strong>编 辑 项 目--属 性 设 置</strong></div></td>
    </tr>
</table>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="1" class="border" class="tdbg">
<form method="post" action="Admin_ItemSuccess.jsp" name="myform">
    <tr class="tdbg"> 
      <td height="30" width="20%" align="right"><b>项目名称：</b></td>
      <td><input name='ItemName' type='text' id='ItemName' value='<%=ItemName%>' size='27' maxlength='30'></td>
    </tr>
    <tr class="tdbg"> 
      <td height="30" width="20%" align="right"><strong> 所属频道：</strong></td>
      <td><select ID="ChannelID" name="ChannelID" onChange="changelocation(document.myform.ChannelID.options[document.myform.ChannelID.selectedIndex].value)"><%call Admin_ShowChannel_Option(ChannelID)%></select>
      </td>
    </tr>
    <tr class="tdbg"> 
      <td height="30" width="20%" align="right"><strong> 所属栏目：</strong></td>
      <td><select name="ClassID" ID="ClassID"><%call Admin_ShowClass_Option(ChannelID,ClassID)%></select>
      </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>内容分页方式：</b></td>
      <td><select name="PaginationType">
            <option value="0" <%If PaginationType=0 Then response.write "selected"%>>不分页</option>
            <option value="1" <%If PaginationType=1 Then response.write "selected"%>>自动分页</option>
            <option value="2" <%If PaginationType=2 Then response.write "selected"%>>手动分页</option>
          </select>        
        自动分页时的每页大约字符数（包含HTML标记）：<input name="MaxCharPerPage" type="text" value="<%=MaxCharPerPage%>" size="8" maxlength="8">      </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>文章阅读等级：</b></td>
      <td><select name='ReadLevel' id='ReadLevel'>
      <option value='5' <%If ReadLevel=5 Then response.write "selected"%>>管理员</option>
      <option value='9' <%If ReadLevel=9 Then response.write "selected"%>>VIP会员</option>
      <option value='99' <%If ReadLevel=99 Then response.write "selected"%>>收费会员</option>
      <option value='999' <%If ReadLevel=999 Then response.write "selected"%>>注册会员</option>
      <option value='9999' <%If ReadLevel=9999 Then response.write "selected"%>>游客</option>
      </select>
      <FONT color=#0000ff>只有具有相应权限的人才能阅读此文章。</FONT>
      </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>文章评分等级：</b></td>
      <td><select name="Stars">
            <option value="5" <%If Stars=5 Then response.write "selected"%>>★★★★★</option>
            <option value="4" <%If Stars=4 Then response.write "selected"%>>★★★★</option>
            <option value="3" <%If Stars=3 Then response.write "selected"%>>★★★</option>
            <option value="2" <%If Stars=2 Then response.write "selected"%>>★★</option>
            <option value="1" <%If Stars=1 Then response.write "selected"%>>★</option>
            <option value="0" <%If Stars=0 Then response.write "selected"%>>无</option>
          </select>
      </td>
    </tr>  
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>文章阅读点数：</b></td>
      <td><input name='ReadPoint' type='text' id='ReadPoint' value='<%=ReadPoint%>' size='5' maxlength='3'>
      <font color='#0000FF'>如果大于0，则用户阅读此文章时将消耗相应点数。（对游客和管理员无效）</font>
      </td>
    </tr>   
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>点击数初始值：</b></td>
      <td><input name="Hits" type="text" id="Hits" value="<%=Hits%>" size="10" maxlength="10">
        <font color='#0000FF'>这功能是提供给管理员作弊用的。不过尽量不要用呀！^_^</font> 
      </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>新闻录入时间：</b></td>
      <td><input name="UpdateType" type="radio" value="0" <%If UpdateType= 0 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">当前时间
       &nbsp;<input name="UpdateType" type="radio" value="1" <%If UpdateType=1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">标签中的时间
       &nbsp;<input name="UpdateType" type="radio" value="2" <%If UpdateType= 2 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">自定义：
       <input name="UpdateTime" type="text" value="<%=UpdateTime%>">
        　</td>
    </tr>  
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>新闻录入：</b></td>
      <td><input name="InputerType" type="radio" value="0" <%If InputerType= 0 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">当前用户
       &nbsp;<input name="InputerType" type="radio" value="1" <%If InputerType=1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">指定用户
       <input name="Inputer" type="text" value="<%=Inputer%>">
        　</td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>责任编辑：</b></td>
      <td><input name="EditorType" type="radio" value="0" <%If EditorType= 0 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">当前用户
       &nbsp;<input name="EditorType" type="radio" value="1" <%If EditorType=1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">指定用户
       <input name="Editor" type="text" value="<%=Editor%>">
        　</td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>新闻性质：</b></td>
      <td> 
        <input name="IncludePicYn" type="checkbox" value="yes" <%If IncludePicYn=-1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        包含图片
        <input name="DefaultPicYn" type="checkbox" value="yes" <%If DefaultPicYn=-1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        首页图片
        <input name="OnTop" type="checkbox" value="yes" <%If OnTop=-1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        固顶文章        
        <input name="Elite" type=checkbox value="yes" <%If Elite=-1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        推荐文章
        <input name="Hot" type="checkbox" value="yes" <%If Hot=-1 Then Response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        热点文章
      </td>
    </tr>  
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>评论链接：</b></td>
      <td>
         <input name="ShowCommentLink" type="radio" id="ShowCommentLink" value="Yes" <%If ShowCommentLink=True Then Response.write "Checked"%>>显示评论链接&nbsp;&nbsp;
         <input name="ShowCommentLink" type="radio" id="ShowCommentLink" value="No" <%If ShowCommentLink=False Then Response.write "Checked"%>>不显示评论链接
      </td>
    </tr>  
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>配色风格：</b></td>
      <td><select name='SkinID' id='SkinID'><option value='0' selected>默认风格</option></select>
      </td>
    </tr>   
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>版面设计模板：</b></td>
      <td><select name='TemplateID' id='TemplateID'><option value='0' selected>默认风格</option></select>
      </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"><b>标签过滤：</b></td>
      <td>
        <input name="Script_Iframe" type="checkbox" value="yes" <%If Script_Iframe=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Iframe
        <input name="Script_Object" type="checkbox" value="yes" <%If Script_Object=-1 Then response.write "checked"%> onclick='return confirm("确定要选择该标记吗？这将删除正文中的所有Object标记，结果将导致该文章中的所有Flash动画被删除！");' style="border: 0px;background-color: #eeeeee;">
        Object
        <input name="Script_Script" type="checkbox" value="yes" <%If Script_Script=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Script
        <input name="Script_Div" type="checkbox"  value="yes" <%If Script_Div=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Div
        <input name="Script_Class" type="checkbox"  value="yes" <%If Script_Class=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Class
        <input name="Script_Table" type="checkbox"  value="yes" <%If Script_Table=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Table
        <input name="Script_Tr" type="checkbox"  value="yes" <%If Script_Tr=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Tr
        <br>
        <input name="Script_Span" type="checkbox"  value="yes" <%If Script_Span=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Span&nbsp;&nbsp;
        <input name="Script_Img" type="checkbox" value="yes" <%If Script_Img=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Img&nbsp;&nbsp;&nbsp;
        <input name="Script_Font" type="checkbox"  value="yes" <%If Script_Font=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Font&nbsp;&nbsp;
        <input name="Script_A" type="checkbox" value="yes" <%If Script_A=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        A&nbsp;&nbsp;
        <input name="Script_Html" type="checkbox" value="yes" <%If Script_Html=-1 Then response.write "checked"%> onclick='return confirm("确定要选择该标记吗？这将删除正文中的所有Html标记，结果将导致该文章的可阅读性降低！");' style="border: 0px;background-color: #eeeeee;">
        Html&nbsp;
        <input name="Script_Td" type="checkbox"  value="yes" <%If Script_Td=-1 Then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        Td
        </td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"> <b>列表深度：</b></td>
      <td>
        <input name="CollecListNum" type="text" id="CollecListNum" value="<%=CollecListNum%>" size="10" maxlength="10">&nbsp;&nbsp;&nbsp;
		<font color='#0000FF'>0为所有的列表</font></td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"> <b>新闻数量：</b></td>
      <td>
        <input name="CollecNewsNum" type="text" id="CollecNewsNum" value="<%=CollecNewsNum%>" size="10" maxlength="10">&nbsp;&nbsp;&nbsp; 
		<font color='#0000FF'>0为所有的新闻<span lang="en-us">(</span>每一列表的新闻限制数量<span lang="en-us">)</span></font></td>
    </tr>
    <tr class="tdbg">
      <td height="30" width="20%" align="right"> <b>采集选项：</b></td>
      <td>
        <input name="Passed" type="checkbox" value="yes" <%if Passed=-1 then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        立即发布
        <input name="SaveFiles" type="checkbox" value="yes" <%if SaveFiles=-1 then response.write "checked"%> <%If IsObjInstalled("Scripting.FileSystemObject")=False Then Response.Write "disabled"%> style="border: 0px;background-color: #eeeeee;">
        保存图片
        <input name="CollecOrder" type="checkbox" value="yes" <%if CollecOrder=-1 then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        倒序采集
        <input name="LinkUrlYn" type="checkbox" value="yes" <%if LinkUrlYn=-1 then response.write "checked"%> style="border: 0px;background-color: #eeeeee;">
        外部链接
      </td>
    </tr>
    <tr class="tdbg">
    <td height="30" width="20%" align="right"></td>
    <td align-"center"><center>
       <input type="hidden" value="<%=ItemID%>" name="ItemID">        
       <input type="submit" value=" 完&nbsp;&nbsp;成 " name="submit" style="cursor: hand;background-color: #cccccc;">  </center>
       </td> 
    </tr>              
</form>         
</table>              
   
</body>         
</html>
<%End Sub%>
<%
Sub GetTest()
   SqlItem="Select * from Item Where ItemID=" & ItemID
   Set RsItem=server.CreateObject("adodb.recordset")
   RsItem.Open SqlItem,ConnItem,1,1
   If  RsItem.Eof  And  RsItem.Bof  Then
      FoundErr=True
      ErrMsg=ErrMsg & "<br><li>参数错误，找不到该项目</li>"
   Else
      ItemName=RsItem("ItemName")      
      ChannelID=RsItem("ChannelID")
      ClassID=RsItem("ClassID")
      PaginationType=RsItem("PaginationType")
      MaxCharPerPage=RsItem("MaxCharPerPage")
      ReadLevel=RsItem("ReadLevel")
      Stars=RsItem("Stars")
      ReadPoint=RsItem("ReadPoint")
      Hits=RsItem("Hits")
      UpdateType=RsItem("UpdateType")
      UpdateTime=RsItem("UpdateTime")
      IncludePicYn=RsItem("IncludePicYn")
      DefaultPicYn=RsItem("DefaultPicYn")
      OnTop=RsItem("OnTop")
      Elite=RsItem("Elite")
      Hot=RsItem("Hot")
      SkinID=RsItem("SkinID")
      TemplateID=RsItem("TemplateID")
      Script_Iframe=RsItem("Script_Iframe")
      Script_Object=RsItem("Script_Object")
      Script_Script=RsItem("Script_Script")
      Script_Div=RsItem("Script_Div")
      Script_Class=RsItem("Script_Class")
      Script_Span=RsItem("Script_Span")
      Script_Img=RsItem("Script_Img")
      Script_Font=RsItem("Script_Font")
      Script_A=RsItem("Script_A")
      Script_Html=RsItem("Script_Html")
      Passed=RsItem("Passed")
      SaveFiles=RsItem("SaveFiles")
      CollecOrder=RsItem("CollecOrder")
      LinkUrlYn=RsItem("LinkUrlYn")
      CollecListNum=RsItem("CollecListNum")
      CollecNewsNum=RsItem("CollecNewsNum")
      InputerType=RsItem("InputerType")
      Inputer=RsItem("Inputer")
      EditorType=RsItem("EditorType")
      Editor=RsItem("Editor")
      ShowCommentLink=RsItem("ShowCommentLink")
      Script_Table=RsItem("Script_Table")
      Script_Tr=RsItem("Script_Tr")
      Script_Td=RsItem("Script_Td")
   End  If
   RsItem.Close
   Set RsItem=Nothing
End  Sub
%>
<%
Sub SetChannel
Dim Arr_Channel,i_Channel,i_Class,i,ArrShowLine(20)
Dim Rs,Sql,ClassID,ClassName,F_ID,F_Value
Set Rs=server.createobject("adodb.recordset")
Sql = "select F_ID from T_BigCategory order by F_Grade ASC"
Rs.Open Sql,Conn,1,1
If Not Rs.Eof Then
   Arr_Channel=Rs.GetRows()
End If
Rs.Close
Set Rs=Nothing

If IsArray(Arr_Channel)= True then
   i_Class=0
   For i=0 To Ubound(ArrShowLine)
      ArrShowLine(i)=False
   Next
%>
<script language = "JavaScript">
var count_class;
arr_class = new Array();;
<%
   For i_Channel=0 To Ubound(Arr_Channel,2)
      Set Rs=server.createobject("adodb.recordset")
      Sql = "select * from T_SmallCategory where F_BigCategoryID=" & Arr_Channel(0,i_Channel) & ""
      Rs.Open Sql,Conn,1,1
%>
arr_class[<%=i_Class%>] = new Array("<%=Arr_Channel(0,i_Channel)%>","0","请选择栏目");
<%
      i_Class=i_Class+1
      If Not Rs.Eof Then
         Do While Not Rs.Eof
            F_Value="" 
			F_ID=Rs("F_ID")
			F_Value=F_Value & Rs("F_Value")
	%>
	arr_class[<%=i_Class%>] = new Array("<%=Arr_Channel(0,i_Channel)%>","<%=F_ID%>","<%=F_Value%>");
	<%
				i_Class = i_Class + 1
				Rs.MoveNext
         Loop
      End if
      Rs.Close
      Set Rs=Nothing
%>
<%  
   Next
%>
count_class=<%=i_Class%>;

function changelocation(locationid)
    {
    document.myform.ClassID.length = 0; 
    var locationid=locationid;
    var i;
    for (i=0;i < count_class; i++)
        {
            if (arr_class[i][0] == locationid)
            { 
                document.myform.ClassID.options[document.myform.ClassID.length] = new Option(arr_class[i][2], arr_class[i][1]);
            }        
        }
   
    }    
</script>
<%
End if
End sub
%>



